Drip Funnels 0.1.2

Does Drip Funnels work with WordPress 5.7.2 and PHP 7.4.8? A smoke test was performed on .

Summary

Errors
1PHP warnings
4PHP notices
48PHP deprecation warnings
No JavaScript exceptions
All test pages loaded successfully
No resource errors
Performance

Memory usage: 25.81 KiB
The average PHP memory usage increased by this amount after activating by the plugin.

Page speed impact: insignificant.
The plugin didn't make the site noticeably slower.

Environment
WordPress version5.7.2
PHP version7.4.8
MySQL version8.0.21
PHP memory limit256M
Plugin Info
Last updated
Active installs <10
WordPress.org page https://wordpress.org/plugins/drip-funnels/
Badges

WordPress compatibility badge PHP compatibility badge

Get badge code

Pages 3

Plugins ‹ Test site — WordPress

Page screenshot: Plugins ‹ Test site — WordPress
URL /wp-admin/plugins.php?plugin_status=all&paged=1&s
Requested URL /wp-admin/plugins.php?action=activate&plugin=drip-funnels%2Fdrip-funnels.php&plugin_status=all&paged=1&s&_wpnonce=b05915b361
Aspect after-activation
HTTP status 200
Load time 0.297 s
Memory usage 2.73 MiB
JS errors None
Resource errors None

Drip Funnels

Page screenshot: Drip Funnels
URL /wp-admin/admin.php?page=drip-funnels#/
Requested URL /wp-admin/admin.php?page=drip-funnels
Aspect menu-item
HTTP status 200
Load time 0.357 s
Memory usage 2.73 MiB
JS errors None
Resource errors None

Test site – Just another WordPress site

Page screenshot: Test site – Just another WordPress site
URL /
Aspect front-page
HTTP status 200
Load time 0.225 s
Memory usage 2.67 MiB
JS errors None
Resource errors None

Benchmark

URL Load time Memory usage
Inactive Active Change Inactive Active Change
/wp-admin/index.php0.278 s0.243 s-0.035 s2.82 MiB2.84 MiB+ 23.41 KiB
/wp-admin/edit.php0.197 s0.210 s+0.013 s2.86 MiB2.89 MiB+ 24.09 KiB
/wp-admin/post-new.php0.934 s1.057 s+0.123 s5.02 MiB5.09 MiB+ 70.94 KiB
/wp-admin/upload.php0.475 s0.402 s-0.073 s2.69 MiB2.71 MiB+ 18.51 KiB
/wp-admin/options-writing.php0.262 s0.140 s-0.122 s2.71 MiB2.7 MiB- 13.15 KiB
/wp-admin/media-new.php0.226 s0.164 s-0.062 s2.67 MiB2.69 MiB+ 19.05 KiB
/wp-admin/edit-tags.php?taxonomy=category0.199 s0.190 s-0.009 s2.77 MiB2.79 MiB+ 19.95 KiB
/wp-admin/post-new.php?post_type=page1.320 s0.621 s-0.699 s5.01 MiB5.07 MiB+ 62.52 KiB
/wp-admin/options-discussion.php0.329 s0.286 s-0.043 s2.67 MiB2.69 MiB+ 19.36 KiB
/wp-admin/edit-comments.php0.229 s0.375 s+0.146 s2.77 MiB2.79 MiB+ 18.3 KiB
/0.278 s0.263 s-0.015 s2.65 MiB2.67 MiB+ 20.99 KiB
Average 0.430 s0.359 s-0.071 s3.15 MiB3.18 MiB+ 25.81 KiB

Code Statistics

Note: Third-party libraries and minified JS/CSS files are excluded from these statistics where possible, so the numbers you see here may be lower than those reported by other tools.

PHP
JavaScript
Language % Lines of code Comment lines Files
PHP88.6%9245515
JavaScript11.4%11911
Total 1,043 56 16

PHP Code Analysis | More results »

Lines of code 834
Total complexity 158
Median class complexity 9.0
Median method complexity 1.0
Most complex class DripFunnels
Most complex function DripFunnelsRun::work()
Classes 11
Methods 75
Functions 0

Additions

Things that the plugin adds to the site. This section is not intended to be comprehensive. The test tool only looks for a few specific types of added content.

No new entries found.

PHP Error Log 53 lines

[11-Jun-2021 13:05:45 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:45 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:45 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:45 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:45 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:45 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:46 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:46 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:46 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:46 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:47 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:47 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:47 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:47 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:47 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:47 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:48 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:48 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:48 UTC] PHP Notice:  register_rest_route was called <strong>incorrectly</strong>. The REST API route definition for <code>df/v1/identify</code> is missing the required <code>permission_callback</code> argument. For REST API routes that are intended to be public, use <code>__return_true</code> as the permission callback. Please see <a href="https://wordpress.org/support/article/debugging-in-wordpress/">Debugging in WordPress</a> for more information. (This message was added in version 5.5.0.) in /wp-includes/functions.php on line 5313
[11-Jun-2021 13:05:48 UTC] PHP Notice:  register_rest_route was called <strong>incorrectly</strong>. The REST API route definition for <code>df/v1/join</code> is missing the required <code>permission_callback</code> argument. For REST API routes that are intended to be public, use <code>__return_true</code> as the permission callback. Please see <a href="https://wordpress.org/support/article/debugging-in-wordpress/">Debugging in WordPress</a> for more information. (This message was added in version 5.5.0.) in /wp-includes/functions.php on line 5313
[11-Jun-2021 13:05:48 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:50 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:50 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:50 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:50 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:50 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:50 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:50 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:50 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:50 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:51 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:51 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:51 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:51 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:51 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:51 UTC] PHP Notice:  register_rest_route was called <strong>incorrectly</strong>. The REST API route definition for <code>df/v1/identify</code> is missing the required <code>permission_callback</code> argument. For REST API routes that are intended to be public, use <code>__return_true</code> as the permission callback. Please see <a href="https://wordpress.org/support/article/debugging-in-wordpress/">Debugging in WordPress</a> for more information. (This message was added in version 5.5.0.) in /wp-includes/functions.php on line 5313
[11-Jun-2021 13:05:51 UTC] PHP Notice:  register_rest_route was called <strong>incorrectly</strong>. The REST API route definition for <code>df/v1/join</code> is missing the required <code>permission_callback</code> argument. For REST API routes that are intended to be public, use <code>__return_true</code> as the permission callback. Please see <a href="https://wordpress.org/support/article/debugging-in-wordpress/">Debugging in WordPress</a> for more information. (This message was added in version 5.5.0.) in /wp-includes/functions.php on line 5313
[11-Jun-2021 13:05:51 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:53 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:53 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:53 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:53 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:53 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:53 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:54 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:54 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:54 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:54 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:54 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:54 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:54 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:54 UTC] PHP Deprecated:  has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5145
[11-Jun-2021 13:05:54 UTC] PHP Warning:  call_user_func_array() expects parameter 1 to be a valid callback, class 'DripFunnels' does not have a method 'dectivate' in /wp-includes/class-wp-hook.php on line 292
See also: All tests for this plugin, How to Hide the "Drip Funnels" Admin Menu